Verify smart login by Email
Verifies the auto-login Email using a Verification Token.
Verifies the auto-login Email using a Verification Token.
apikey<token>
Tenant API Key for authentication
In: query
Query Parameters
verificationtoken?string
Verification token received in the Email.
vtoken?string
Verification token received in the Email.
welcomeemailtemplate?string
Welcome Email Template
email?string
Email address of the associated Account.
Format
emailprevent_webhook?boolean
When true, suppresses webhook events for this operation.
Header Parameters
X-PreventWebhook?boolean
When true, suppresses webhook events for this operation.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/auth/email/smartlogin?verificationtoken=123456&vtoken=123456&welcomeemailtemplate=Welcome-Email-Template&email=test%40gmail.com&prevent_webhook=true" \ -H "X-PreventWebhook: true"{
"IsPosted": true,
"IsVerified": true
}{
"ErrorCode": 1032,
"Message": "Email address is required",
"Description": "Email address is required, please use a valid email address in order to process this request."
}{
"errorCode": 1409,
"message": "Authentication failed",
"description": "The credentials provided could not be authenticated."
}{
"ErrorCode": 1135,
"Message": "Smart login option is not enabled for your LoginRadius site",
"Description": "The smart login option is not enabled for your LoginRadius site, please reach out to LoginRadius support for more information."
}